Bug 1295402 - python-urllib3-1.14 is available
python-urllib3-1.14 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-urllib3 (Show other bugs)
23
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 06:25 EST by Nir Magnezi
Modified: 2016-05-16 18:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-urllib3-1.15.1-1.fc23 python-urllib3-1.15.1-1.fc24 python-urllib3-1.15.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 15:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nir Magnezi 2016-01-04 06:25:01 EST
Latest upstream release: 1.14
Current version/release in Fedora 23: 1.13.1-1.fc23
URL: https://pypi.python.org/pypi/urllib3
Comment 1 Ralph Bean 2016-01-14 10:03:33 EST
Hi!  The only issue is that python-requests-2.9.1 bundles a copy of python-urllib3-1.13.1.  We need to keep those in sync, but requests hasn't yet made a released based on urllib3-1.14 yet.

I filed a ticket with upstream asking about it here:  https://github.com/kennethreitz/requests/issues/2969
Comment 2 Nir Magnezi 2016-01-25 07:16:46 EST
Hi Ralph,

The above request is based on: https://github.com/openstack/requirements/blob/master/upper-constraints.txt

python-requests-2.9.1 is also listed there (Line 307 at the time of writing).
Comment 3 Fedora Admin XMLRPC Client 2016-04-04 16:36:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2016-05-03 13:41:43 EDT
python-pysocks-1.5.6-2.fc24 python-requests-2.10.0-1.fc24 python-urllib3-1.15.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5fd6be4390
Comment 5 Fedora Update System 2016-05-03 13:42:29 EDT
python-pysocks-1.5.6-2.fc23 python-requests-2.10.0-1.fc23 python-urllib3-1.15.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b61b26d3
Comment 6 Fedora Update System 2016-05-03 13:43:30 EDT
python-pysocks-1.5.6-2.fc22 python-requests-2.10.0-1.fc22 python-urllib3-1.15.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e7a7d75b
Comment 7 Fedora Update System 2016-05-04 02:53:09 EDT
python-pysocks-1.5.6-2.fc22, python-requests-2.10.0-1.fc22, python-urllib3-1.15.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e7a7d75b
Comment 8 Fedora Update System 2016-05-04 03:25:32 EDT
python-pysocks-1.5.6-2.fc23, python-requests-2.10.0-1.fc23, python-urllib3-1.15.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b61b26d3
Comment 9 Fedora Update System 2016-05-04 10:30:02 EDT
python-pysocks-1.5.6-2.fc24, python-requests-2.10.0-1.fc24, python-urllib3-1.15.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5fd6be4390
Comment 10 Fedora Update System 2016-05-06 15:23:55 EDT
python-pysocks-1.5.6-2.fc23, python-requests-2.10.0-1.fc23, python-urllib3-1.15.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-05-07 07:39:20 EDT
python-pysocks-1.5.6-2.fc24, python-requests-2.10.0-1.fc24, python-urllib3-1.15.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-05-16 18:25:24 EDT
python-pysocks-1.5.6-2.fc22, python-requests-2.10.0-1.fc22, python-urllib3-1.15.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.